Changeset 10854


Ignore:
Timestamp:
2005-11-07T13:35:44+13:00 (18 years ago)
Author:
kjdon
Message:

removed soem commented out pieces, and added a check for endianness

Location:
trunk/gs2build-extra
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • trunk/gs2build-extra/configure

    r9749 r10854  
    311311
    312312ac_subdirs_all="$ac_subdirs_all packages"
    313 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PACKAGE VERSION CFLAGS CC LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX AWK YACC build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB CPP EGREP U ANSI2KNR ALLOCA LIBOBJS STATIC GDBM_LIBPATH GDBM_INCLUDE gsdlos MODULEDIRS subdirs LTLIBOBJS'
     313ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PACKAGE VERSION CFLAGS CC LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX AWK YACC build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB CPP EGREP ALLOCA LIBOBJS STATIC GDBM_LIBPATH GDBM_INCLUDE gsdlos MODULEDIRS subdirs LTLIBOBJS'
    314314ac_subst_files=''
    315315
     
    856856  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
    857857  --with-gdbm=dir         Use local gdbm library and headers
    858   --with-dmalloc          use dmalloc, as in
    859                           ftp://ftp.letters.com/src/dmalloc/dmalloc.tar.gz
    860   --with-regex            use older regex in lieu of GNU rx for matching
    861858
    862859Some influential environment variables:
     
    38173814fi
    38183815
    3819 echo "$as_me:$LINENO: checking for ${CC-cc} option to accept ANSI C" >&5
    3820 echo $ECHO_N "checking for ${CC-cc} option to accept ANSI C... $ECHO_C" >&6
    3821 if test "${ac_cv_prog_cc_stdc+set}" = set; then
    3822   echo $ECHO_N "(cached) $ECHO_C" >&6
    3823 else
    3824   ac_cv_prog_cc_stdc=no
    3825 ac_save_CFLAGS="$CFLAGS"
    3826 # Don't try gcc -ansi; that turns off useful extensions and
    3827 # breaks some systems' header files.
    3828 # AIX           -qlanglvl=ansi
    3829 # Ultrix and OSF/1  -std1
    3830 # HP-UX         -Aa -D_HPUX_SOURCE
    3831 # SVR4          -Xc
    3832 for ac_arg in "" -qlanglvl=ansi -std1 "-Aa -D_HPUX_SOURCE" -Xc
    3833 do
    3834   CFLAGS="$ac_save_CFLAGS $ac_arg"
    3835   cat >conftest.$ac_ext <<_ACEOF
    3836 /* confdefs.h.  */
    3837 _ACEOF
    3838 cat confdefs.h >>conftest.$ac_ext
    3839 cat >>conftest.$ac_ext <<_ACEOF
    3840 /* end confdefs.h.  */
    3841 #if !defined(__STDC__) || __STDC__ != 1
    3842 choke me
    3843 #endif
    3844 
    3845 int
    3846 main ()
    3847 {
    3848 int test (int i, double x);
    3849 struct s1 {int (*f) (int a);};
    3850 struct s2 {int (*f) (double a);};
    3851   ;
    3852   return 0;
    3853 }
    3854 _ACEOF
    3855 rm -f conftest.$ac_objext
    3856 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    3857   (eval $ac_compile) 2>conftest.er1
    3858   ac_status=$?
    3859   grep -v '^ *+' conftest.er1 >conftest.err
    3860   rm -f conftest.er1
    3861   cat conftest.err >&5
    3862   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3863   (exit $ac_status); } &&
    3864      { ac_try='test -z "$ac_c_werror_flag"
    3865              || test ! -s conftest.err'
    3866   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3867   (eval $ac_try) 2>&5
    3868   ac_status=$?
    3869   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3870   (exit $ac_status); }; } &&
    3871      { ac_try='test -s conftest.$ac_objext'
    3872   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3873   (eval $ac_try) 2>&5
    3874   ac_status=$?
    3875   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3876   (exit $ac_status); }; }; then
    3877   ac_cv_prog_cc_stdc="$ac_arg"; break
    3878 else
    3879   echo "$as_me: failed program was:" >&5
    3880 sed 's/^/| /' conftest.$ac_ext >&5
    3881 
    3882 fi
    3883 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    3884 done
    3885 CFLAGS="$ac_save_CFLAGS"
    3886 
    3887 fi
    3888 
    3889 echo "$as_me:$LINENO: result: $ac_cv_prog_cc_stdc" >&5
    3890 echo "${ECHO_T}$ac_cv_prog_cc_stdc" >&6
    3891 case "x$ac_cv_prog_cc_stdc" in
    3892   x|xno) ;;
    3893   *) CC="$CC $ac_cv_prog_cc_stdc" ;;
    3894 esac
    3895 
    3896 
    3897 echo "$as_me:$LINENO: checking for function prototypes" >&5
    3898 echo $ECHO_N "checking for function prototypes... $ECHO_C" >&6
    3899 if test "$ac_cv_prog_cc_stdc" != no; then
    3900   echo "$as_me:$LINENO: result: yes" >&5
    3901 echo "${ECHO_T}yes" >&6
    3902   cat >>confdefs.h <<\_ACEOF
    3903 #define PROTOTYPES 1
    3904 _ACEOF
    3905 
    3906   U= ANSI2KNR=
    3907 else
    3908   echo "$as_me:$LINENO: result: no" >&5
    3909 echo "${ECHO_T}no" >&6
    3910   U=_ ANSI2KNR=ansi2knr
    3911 fi
    3912 
     3816fp_C_PROTOTYPES
    39133817echo "$as_me:$LINENO: checking for an ANSI C-conforming const" >&5
    39143818echo $ECHO_N "checking for an ANSI C-conforming const... $ECHO_C" >&6
     
    63896293
    63906294
    6391 echo "$as_me:$LINENO: checking if malloc debugging is wanted" >&5
    6392 echo $ECHO_N "checking if malloc debugging is wanted... $ECHO_C" >&6
    6393 
    6394 # Check whether --with-dmalloc or --without-dmalloc was given.
    6395 if test "${with_dmalloc+set}" = set; then
    6396   withval="$with_dmalloc"
    6397   if test "$withval" = yes; then
    6398   echo "$as_me:$LINENO: result: yes" >&5
    6399 echo "${ECHO_T}yes" >&6
    6400   cat >>confdefs.h <<\_ACEOF
    6401 #define WITH_DMALLOC 1
    6402 _ACEOF
    6403 
    6404   LIBS="$LIBS -ldmalloc"
    6405   LDFLAGS="$LDFLAGS -g"
    6406 else
    6407   echo "$as_me:$LINENO: result: no" >&5
    6408 echo "${ECHO_T}no" >&6
    6409 fi
    6410 else
    6411   echo "$as_me:$LINENO: result: no" >&5
    6412 echo "${ECHO_T}no" >&6
    6413 fi;
    6414 
    6415 echo "$as_me:$LINENO: checking which of rx or regex is wanted" >&5
    6416 echo $ECHO_N "checking which of rx or regex is wanted... $ECHO_C" >&6
    6417 
    6418 # Check whether --with-regex or --without-regex was given.
    6419 if test "${with_regex+set}" = set; then
    6420   withval="$with_regex"
    6421   if test "$withval" = yes; then
    6422   ac_with_regex=1
    6423   echo "$as_me:$LINENO: result: regex" >&5
    6424 echo "${ECHO_T}regex" >&6
    6425   cat >>confdefs.h <<\_ACEOF
    6426 #define WITH_REGEX 1
    6427 _ACEOF
    6428 
    6429   case $LIBOBJS in
    6430     "regex.$ac_objext"   | \
    6431   *" regex.$ac_objext"   | \
    6432     "regex.$ac_objext "* | \
    6433   *" regex.$ac_objext "* ) ;;
    6434   *) LIBOBJS="$LIBOBJS regex.$ac_objext" ;;
    6435 esac
    6436 
    6437 fi
    6438 fi;
    6439 if test -z "$ac_with_regex"; then
    6440   echo "$as_me:$LINENO: result: rx" >&5
    6441 echo "${ECHO_T}rx" >&6
    6442   echo "$as_me:$LINENO: checking for re_rx_search" >&5
    6443 echo $ECHO_N "checking for re_rx_search... $ECHO_C" >&6
    6444 if test "${ac_cv_func_re_rx_search+set}" = set; then
    6445   echo $ECHO_N "(cached) $ECHO_C" >&6
    6446 else
    6447   cat >conftest.$ac_ext <<_ACEOF
    6448 /* confdefs.h.  */
    6449 _ACEOF
    6450 cat confdefs.h >>conftest.$ac_ext
    6451 cat >>conftest.$ac_ext <<_ACEOF
    6452 /* end confdefs.h.  */
    6453 /* Define re_rx_search to an innocuous variant, in case <limits.h> declares re_rx_search.
    6454    For example, HP-UX 11i <limits.h> declares gettimeofday.  */
    6455 #define re_rx_search innocuous_re_rx_search
    6456 
    6457 /* System header to define __stub macros and hopefully few prototypes,
    6458     which can conflict with char re_rx_search (); below.
    6459     Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
    6460     <limits.h> exists even on freestanding compilers.  */
    6461 
    6462 #ifdef __STDC__
    6463 # include <limits.h>
    6464 #else
    6465 # include <assert.h>
    6466 #endif
    6467 
    6468 #undef re_rx_search
    6469 
    6470 /* Override any gcc2 internal prototype to avoid an error.  */
    6471 #ifdef __cplusplus
    6472 extern "C"
    6473 {
    6474 #endif
    6475 /* We use char because int might match the return type of a gcc2
    6476    builtin and then its argument prototype would still apply.  */
    6477 char re_rx_search ();
    6478 /* The GNU C library defines this for functions which it implements
    6479     to always fail with ENOSYS.  Some functions are actually named
    6480     something starting with __ and the normal name is an alias.  */
    6481 #if defined (__stub_re_rx_search) || defined (__stub___re_rx_search)
    6482 choke me
    6483 #else
    6484 char (*f) () = re_rx_search;
    6485 #endif
    6486 #ifdef __cplusplus
    6487 }
    6488 #endif
    6489 
    6490 int
    6491 main ()
    6492 {
    6493 return f != re_rx_search;
    6494   ;
    6495   return 0;
    6496 }
    6497 _ACEOF
    6498 rm -f conftest.$ac_objext conftest$ac_exeext
    6499 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    6500   (eval $ac_link) 2>conftest.er1
    6501   ac_status=$?
    6502   grep -v '^ *+' conftest.er1 >conftest.err
    6503   rm -f conftest.er1
    6504   cat conftest.err >&5
    6505   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6506   (exit $ac_status); } &&
    6507      { ac_try='test -z "$ac_c_werror_flag"
    6508              || test ! -s conftest.err'
    6509   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6510   (eval $ac_try) 2>&5
    6511   ac_status=$?
    6512   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6513   (exit $ac_status); }; } &&
    6514      { ac_try='test -s conftest$ac_exeext'
    6515   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6516   (eval $ac_try) 2>&5
    6517   ac_status=$?
    6518   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6519   (exit $ac_status); }; }; then
    6520   ac_cv_func_re_rx_search=yes
    6521 else
    6522   echo "$as_me: failed program was:" >&5
    6523 sed 's/^/| /' conftest.$ac_ext >&5
    6524 
    6525 ac_cv_func_re_rx_search=no
    6526 fi
    6527 rm -f conftest.err conftest.$ac_objext \
    6528       conftest$ac_exeext conftest.$ac_ext
    6529 fi
    6530 echo "$as_me:$LINENO: result: $ac_cv_func_re_rx_search" >&5
    6531 echo "${ECHO_T}$ac_cv_func_re_rx_search" >&6
    6532 if test $ac_cv_func_re_rx_search = yes; then
    6533   :
    6534 else
    6535   case $LIBOBJS in
    6536     "rx.$ac_objext"   | \
    6537   *" rx.$ac_objext"   | \
    6538     "rx.$ac_objext "* | \
    6539   *" rx.$ac_objext "* ) ;;
    6540   *) LIBOBJS="$LIBOBJS rx.$ac_objext" ;;
    6541 esac
    6542 
    6543 fi
    6544 
    6545 fi
    6546 
     6295fp_WITH_DMALLOC
     6296fp_WITH_REGEX
    65476297
    65486298# ---------------------------------------------------------------------------
     
    69346684
    69356685
     6686# check for endianness
     6687echo "$as_me:$LINENO: checking whether byte ordering is bigendian" >&5
     6688echo $ECHO_N "checking whether byte ordering is bigendian... $ECHO_C" >&6
     6689if test "${ac_cv_c_bigendian+set}" = set; then
     6690  echo $ECHO_N "(cached) $ECHO_C" >&6
     6691else
     6692  # See if sys/param.h defines the BYTE_ORDER macro.
     6693cat >conftest.$ac_ext <<_ACEOF
     6694/* confdefs.h.  */
     6695_ACEOF
     6696cat confdefs.h >>conftest.$ac_ext
     6697cat >>conftest.$ac_ext <<_ACEOF
     6698/* end confdefs.h.  */
     6699#include <sys/types.h>
     6700#include <sys/param.h>
     6701
     6702int
     6703main ()
     6704{
     6705#if !BYTE_ORDER || !BIG_ENDIAN || !LITTLE_ENDIAN
     6706 bogus endian macros
     6707#endif
     6708
     6709  ;
     6710  return 0;
     6711}
     6712_ACEOF
     6713rm -f conftest.$ac_objext
     6714if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     6715  (eval $ac_compile) 2>conftest.er1
     6716  ac_status=$?
     6717  grep -v '^ *+' conftest.er1 >conftest.err
     6718  rm -f conftest.er1
     6719  cat conftest.err >&5
     6720  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6721  (exit $ac_status); } &&
     6722     { ac_try='test -z "$ac_cxx_werror_flag"
     6723             || test ! -s conftest.err'
     6724  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6725  (eval $ac_try) 2>&5
     6726  ac_status=$?
     6727  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6728  (exit $ac_status); }; } &&
     6729     { ac_try='test -s conftest.$ac_objext'
     6730  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6731  (eval $ac_try) 2>&5
     6732  ac_status=$?
     6733  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6734  (exit $ac_status); }; }; then
     6735  # It does; now see whether it defined to BIG_ENDIAN or not.
     6736cat >conftest.$ac_ext <<_ACEOF
     6737/* confdefs.h.  */
     6738_ACEOF
     6739cat confdefs.h >>conftest.$ac_ext
     6740cat >>conftest.$ac_ext <<_ACEOF
     6741/* end confdefs.h.  */
     6742#include <sys/types.h>
     6743#include <sys/param.h>
     6744
     6745int
     6746main ()
     6747{
     6748#if BYTE_ORDER != BIG_ENDIAN
     6749 not big endian
     6750#endif
     6751
     6752  ;
     6753  return 0;
     6754}
     6755_ACEOF
     6756rm -f conftest.$ac_objext
     6757if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     6758  (eval $ac_compile) 2>conftest.er1
     6759  ac_status=$?
     6760  grep -v '^ *+' conftest.er1 >conftest.err
     6761  rm -f conftest.er1
     6762  cat conftest.err >&5
     6763  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6764  (exit $ac_status); } &&
     6765     { ac_try='test -z "$ac_cxx_werror_flag"
     6766             || test ! -s conftest.err'
     6767  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6768  (eval $ac_try) 2>&5
     6769  ac_status=$?
     6770  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6771  (exit $ac_status); }; } &&
     6772     { ac_try='test -s conftest.$ac_objext'
     6773  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6774  (eval $ac_try) 2>&5
     6775  ac_status=$?
     6776  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6777  (exit $ac_status); }; }; then
     6778  ac_cv_c_bigendian=yes
     6779else
     6780  echo "$as_me: failed program was:" >&5
     6781sed 's/^/| /' conftest.$ac_ext >&5
     6782
     6783ac_cv_c_bigendian=no
     6784fi
     6785rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     6786else
     6787  echo "$as_me: failed program was:" >&5
     6788sed 's/^/| /' conftest.$ac_ext >&5
     6789
     6790# It does not; compile a test program.
     6791if test "$cross_compiling" = yes; then
     6792  # try to guess the endianness by grepping values into an object file
     6793  ac_cv_c_bigendian=unknown
     6794  cat >conftest.$ac_ext <<_ACEOF
     6795/* confdefs.h.  */
     6796_ACEOF
     6797cat confdefs.h >>conftest.$ac_ext
     6798cat >>conftest.$ac_ext <<_ACEOF
     6799/* end confdefs.h.  */
     6800short ascii_mm[] = { 0x4249, 0x4765, 0x6E44, 0x6961, 0x6E53, 0x7953, 0 };
     6801short ascii_ii[] = { 0x694C, 0x5454, 0x656C, 0x6E45, 0x6944, 0x6E61, 0 };
     6802void _ascii () { char *s = (char *) ascii_mm; s = (char *) ascii_ii; }
     6803short ebcdic_ii[] = { 0x89D3, 0xE3E3, 0x8593, 0x95C5, 0x89C4, 0x9581, 0 };
     6804short ebcdic_mm[] = { 0xC2C9, 0xC785, 0x95C4, 0x8981, 0x95E2, 0xA8E2, 0 };
     6805void _ebcdic () { char *s = (char *) ebcdic_mm; s = (char *) ebcdic_ii; }
     6806int
     6807main ()
     6808{
     6809 _ascii (); _ebcdic ();
     6810  ;
     6811  return 0;
     6812}
     6813_ACEOF
     6814rm -f conftest.$ac_objext
     6815if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     6816  (eval $ac_compile) 2>conftest.er1
     6817  ac_status=$?
     6818  grep -v '^ *+' conftest.er1 >conftest.err
     6819  rm -f conftest.er1
     6820  cat conftest.err >&5
     6821  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6822  (exit $ac_status); } &&
     6823     { ac_try='test -z "$ac_cxx_werror_flag"
     6824             || test ! -s conftest.err'
     6825  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6826  (eval $ac_try) 2>&5
     6827  ac_status=$?
     6828  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6829  (exit $ac_status); }; } &&
     6830     { ac_try='test -s conftest.$ac_objext'
     6831  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6832  (eval $ac_try) 2>&5
     6833  ac_status=$?
     6834  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6835  (exit $ac_status); }; }; then
     6836  if grep BIGenDianSyS conftest.$ac_objext >/dev/null ; then
     6837  ac_cv_c_bigendian=yes
     6838fi
     6839if grep LiTTleEnDian conftest.$ac_objext >/dev/null ; then
     6840  if test "$ac_cv_c_bigendian" = unknown; then
     6841    ac_cv_c_bigendian=no
     6842  else
     6843    # finding both strings is unlikely to happen, but who knows?
     6844    ac_cv_c_bigendian=unknown
     6845  fi
     6846fi
     6847else
     6848  echo "$as_me: failed program was:" >&5
     6849sed 's/^/| /' conftest.$ac_ext >&5
     6850
     6851fi
     6852rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     6853else
     6854  cat >conftest.$ac_ext <<_ACEOF
     6855/* confdefs.h.  */
     6856_ACEOF
     6857cat confdefs.h >>conftest.$ac_ext
     6858cat >>conftest.$ac_ext <<_ACEOF
     6859/* end confdefs.h.  */
     6860int
     6861main ()
     6862{
     6863  /* Are we little or big endian?  From Harbison&Steele.  */
     6864  union
     6865  {
     6866    long l;
     6867    char c[sizeof (long)];
     6868  } u;
     6869  u.l = 1;
     6870  exit (u.c[sizeof (long) - 1] == 1);
     6871}
     6872_ACEOF
     6873rm -f conftest$ac_exeext
     6874if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     6875  (eval $ac_link) 2>&5
     6876  ac_status=$?
     6877  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6878  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
     6879  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6880  (eval $ac_try) 2>&5
     6881  ac_status=$?
     6882  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6883  (exit $ac_status); }; }; then
     6884  ac_cv_c_bigendian=no
     6885else
     6886  echo "$as_me: program exited with status $ac_status" >&5
     6887echo "$as_me: failed program was:" >&5
     6888sed 's/^/| /' conftest.$ac_ext >&5
     6889
     6890( exit $ac_status )
     6891ac_cv_c_bigendian=yes
     6892fi
     6893rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
     6894fi
     6895fi
     6896rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     6897fi
     6898echo "$as_me:$LINENO: result: $ac_cv_c_bigendian" >&5
     6899echo "${ECHO_T}$ac_cv_c_bigendian" >&6
     6900case $ac_cv_c_bigendian in
     6901  yes)
     6902
     6903cat >>confdefs.h <<\_ACEOF
     6904#define WORDS_BIGENDIAN 1
     6905_ACEOF
     6906 ;;
     6907  no)
     6908     ;;
     6909  *)
     6910    { { echo "$as_me:$LINENO: error: unknown endianness
     6911presetting ac_cv_c_bigendian=no (or yes) will help" >&5
     6912echo "$as_me: error: unknown endianness
     6913presetting ac_cv_c_bigendian=no (or yes) will help" >&2;}
     6914   { (exit 1); exit 1; }; } ;;
     6915esac
     6916
    69366917# ---------------------------------------------------------------------------
    69376918if test "$ac_cv_func_alloca" = 'no'; then
     
    69786959# the list of folders in the src folder
    69796960srclist="src/mgpp/lib/Makefile src/mgpp/text/Makefile src/mgpp/Makefile src/hashfile/Makefile src/txt2db/Makefile src/db2txt/Makefile src/phind/generate/Makefile "
    6980 
    6981 #srclist="src/mgpp/lib/Makefile src/mgpp/text/Makefile src/mgpp/Makefile \
    6982 #          src/hashfile/Makefile src/colservr/Makefile src/recpt/Makefile src/txt2db/Makefile \
    6983 #          src/oaiservr/Makefile src/db2txt/Makefile src/getpw/Makefile src/phind/generate/Makefile"
    6984 
    6985 #AC_OUTPUT(packages/Makefile packages/mg/Makefile packages/mg/src/text/Makefile packages/mg/src/images/Makefile
    6986 #          packages/mg/src/scripts/Makefile packages/mg/lib/Makefile
    6987 #     lib/Makefile Makefile $srclist $moduleDirs)
    6988 
    69896961
    69906962                                                                                          ac_config_files="$ac_config_files packages/mg/Makefile packages/mg/src/text/Makefile packages/mg/src/images/Makefile packages/mg/src/scripts/Makefile packages/mg/lib/Makefile lib/Makefile Makefile $srclist $moduleDirs"
     
    76437615s,@CPP@,$CPP,;t t
    76447616s,@EGREP@,$EGREP,;t t
    7645 s,@U@,$U,;t t
    7646 s,@ANSI2KNR@,$ANSI2KNR,;t t
    76477617s,@ALLOCA@,$ALLOCA,;t t
    76487618s,@LIBOBJS@,$LIBOBJS,;t t
  • trunk/gs2build-extra/configure.in

    r9749 r10854  
    299299AC_SUBST(gsdlos)
    300300
     301# check for endianness
     302AC_C_BIGENDIAN
    301303# ---------------------------------------------------------------------------
    302304if test "$ac_cv_func_alloca" = 'no'; then
     
    335337srclist="src/mgpp/lib/Makefile src/mgpp/text/Makefile src/mgpp/Makefile src/hashfile/Makefile src/txt2db/Makefile src/db2txt/Makefile src/phind/generate/Makefile "
    336338
    337 #srclist="src/mgpp/lib/Makefile src/mgpp/text/Makefile src/mgpp/Makefile \
    338 #          src/hashfile/Makefile src/colservr/Makefile src/recpt/Makefile src/txt2db/Makefile \
    339 #          src/oaiservr/Makefile src/db2txt/Makefile src/getpw/Makefile src/phind/generate/Makefile"
    340 
    341 #AC_OUTPUT(packages/Makefile packages/mg/Makefile packages/mg/src/text/Makefile packages/mg/src/images/Makefile
    342 #          packages/mg/src/scripts/Makefile packages/mg/lib/Makefile
    343 #     lib/Makefile Makefile $srclist $moduleDirs)
    344 
    345 
    346339AC_OUTPUT(packages/mg/Makefile packages/mg/src/text/Makefile packages/mg/src/images/Makefile packages/mg/src/scripts/Makefile packages/mg/lib/Makefile lib/Makefile Makefile $srclist $moduleDirs)
Note: See TracChangeset for help on using the changeset viewer.